Bug 244682 (qca-2.3.0)

Summary: [exp-run] Upgrade devel/qca to 2.3.0
Product: Ports & Packages Reporter: Tobias C. Berner <tcberner>
Component: Individual Port(s)Assignee: Tobias C. Berner <tcberner>
Status: Closed FIXED    
Severity: Affects Only Me CC: tcberner
Priority: --- Flags: antoine: exp-run+
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://github.com/freebsd/freebsd-ports-kde/tree/qca
Attachments:
Description Flags
v1
none
v2 none

Description Tobias C. Berner freebsd_committer 2020-03-08 15:08:57 UTC
Created attachment 212262 [details]
v1

Hi there

kde@ would like to ask for an exprun to upgrade devel/qca to 2.3.0.

The patch is attached, and can also be found here:
https://people.freebsd.org/~tcberner/patches/qca-2.3.0.v1.diff


mfg Tobias
Comment 1 Antoine Brodin freebsd_committer 2020-03-09 22:57:10 UTC
devel/qca fails to build at least on 11.3:

http://package22.nyi.freebsd.org/data/113amd64-default-PR244008/2020-03-09_22h43m29s/logs/errors/qca-qt5-2.3.0.log
Comment 2 Tobias C. Berner freebsd_committer 2020-03-14 14:55:45 UTC
Created attachment 212404 [details]
v2

Moin moin 

The new patch attached, which can also be found here: 
  https://people.freebsd.org/~tcberner/patches/qca-2.3.0.v2.diff , 
adds a new port devel/qca-legay and a USES=qca, which should be used from now on to depend on a qca port. It switches betweeen devel/qca and devel/qca-legacy depending on OS version.


mfg Toibas
Comment 3 Antoine Brodin freebsd_committer 2020-03-21 07:08:07 UTC
Exp-run looks fine
Comment 4 Tobias C. Berner freebsd_committer 2020-03-21 07:24:14 UTC
Thanks for the exp-run.
Comment 5 commit-hook freebsd_committer 2020-03-21 07:24:56 UTC
A commit references this bug:

Author: tcberner
Date: Sat Mar 21 07:24:06 UTC 2020
New revision: 528829
URL: https://svnweb.freebsd.org/changeset/ports/528829

Log:
  devel/qca: update to 2.3

  - qca-2.3 drop support for OSSL<1.1
  - copy devel/qca to devel/qca-legacy which is held at the current version
  - update devel/qca to 2.3
  - Add Uses/qca.mk which handles dependency on either of the ports depending on
    the FreeBSD version

  Users on FreeBSD11 must therefore change their pkg orign ? la:

     pkg set -o devel/qca:devel/qca-legacy

  PR:		244682
  Exp-run by:	antoine
  Reviewed by:	arrowd
  Differential Revision:	https://reviews.freebsd.org/D24042

Changes:
  head/Mk/Uses/qca.mk
  head/UPDATING
  head/audio/amarok/Makefile
  head/audio/clementine-player/Makefile
  head/databases/kbibtex/Makefile
  head/deskutils/kdeconnect-kde/Makefile
  head/deskutils/kdepim-runtime/Makefile
  head/devel/Makefile
  head/devel/okteta/Makefile
  head/devel/qca/Makefile
  head/devel/qca/distinfo
  head/devel/qca/files/
  head/devel/qca-legacy/
  head/devel/qca-legacy/Makefile
  head/editors/calligra/Makefile
  head/finance/skrooge/Makefile
  head/games/ksirk/Makefile
  head/graphics/okular/Makefile
  head/graphics/qgis/Makefile
  head/graphics/qgis-ltr/Makefile
  head/irc/konversation/Makefile
  head/irc/quassel/Makefile
  head/net/kget/Makefile
  head/net/messagelib/Makefile
  head/net/qoauth-qt5/Makefile
  head/net-im/kopete/Makefile
  head/net-im/ktp-auth-handler/Makefile
  head/net-im/psi/Makefile
  head/net-p2p/libktorrent/Makefile
  head/polish/kadu/Makefile
  head/www/choqok/Makefile